﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace INT_PT002.DataStore
{
    public class SystemStatus
    {
        #region Field
        private int m_EquipmentColumn;

        private Define.E_EquipmentStatus m_EquipmentStatus;
        private Define.E_DisplayStore m_CurrentDisplay;
        #endregion

        #region Constructor
        public SystemStatus()
        {
            this.Initialize();
        } 
        #endregion

        #region Property
        public int EquipmentColumn
        {
            get { return this.m_EquipmentColumn; }
            set { this.m_EquipmentColumn = value; }
        }

        public Define.E_EquipmentStatus EquipmentStatus
        {
            get { return this.m_EquipmentStatus; }
            set { this.m_EquipmentStatus = value; }
        }
        public Define.E_DisplayStore CurrentDisplay
        {
            get { return this.m_CurrentDisplay; }
            set { this.m_CurrentDisplay = value; }
        }
        #endregion

        #region Method
        private void Initialize()
        {
            this.EquipmentColumn = 10;

            this.EquipmentStatus = Define.E_EquipmentStatus.Stop;
            this.CurrentDisplay = Define.E_DisplayStore.DisplayMain;
        }
        #endregion
    }
}
